# Importation des bibliothèques nécessaires
import mdformat  # Pour formater le texte Markdown
import streamlit as st  # Pour créer l'interface utilisateur web

# Importation du texte de démonstration depuis un autre fichier
from demo_text import demo_text

# Définition de la fonction principale pour l'onglet 1 de l'application
def app_tab1():
    # Fonction de rappel pour le bouton de formatage
    def button1_callback():
        # Formate le texte Markdown stocké dans la session et active la numérotation
        st.session_state['markdown'] = mdformat.text(st.session_state['markdown'],
                                                     options={"number": True})

    # Création d'une zone de texte pour entrer le contenu Markdown
    st.session_state['content'] = st.text_area(
        # Texte d'instruction pour l'utilisateur
        "Entre ton texte ici. Les images sont dans ./images/",
        # Texte par défaut (démonstration)
        demo_text,
        # Hauteur de la zone de texte en pixels
        height=450,
        # Clé unique pour identifier cet élément dans la session
        key='markdown'
    )

    # Création d'un bouton pour formater le texte
    st.button(
        # Texte affiché sur le bouton
        "Formater le texte",
        # Fonction à appeler lorsque le bouton est cliqué
        on_click=button1_callback
    )